Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.entity.ai
Class EntityAIFollowParent

    java.lang.Object
      net.minecraft.entity.ai.EntityAIBase
          net.minecraft.entity.ai.EntityAIFollowParent

    public class EntityAIFollowParent

extends EntityAIBase

Constructor Summary
`EntityAIFollowParent(EntityAnimal par1EntityAnimal, float par2)`

Method Summary
`boolean` | `continueExecuting()` Returns whether an in-progress EntityAIBase should continue executing
`void` | `resetTask()` Resets the task
`boolean` | `shouldExecute()` Returns whether the EntityAIBase should begin execution.
`void` | `startExecuting()` Execute a one shot task or start executing a continuous task
`void` | `updateTask()` Updates the task

Methods inherited from class net.minecraft.entity.ai.EntityAIBase
`getMutexBits, isContinuous, setMutexBits`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityAIFollowParent

    public EntityAIFollowParent(EntityAnimal par1EntityAnimal,
                                float par2)

Method Detail

### shouldExecute

    public boolean shouldExecute()

  Returns whether the EntityAIBase should begin execution.

  Specified by:
    `shouldExecute` in class `EntityAIBase`

### continueExecuting

    public boolean continueExecuting()

  Returns whether an in-progress EntityAIBase should continue executing

  Overrides:
    `continueExecuting` in class `EntityAIBase`

### startExecuting

    public void startExecuting()

  Execute a one shot task or start executing a continuous task

  Overrides:
    `startExecuting` in class `EntityAIBase`

### resetTask

    public void resetTask()

  Resets the task

  Overrides:
    `resetTask` in class `EntityAIBase`

### updateTask

    public void updateTask()

  Updates the task

  Overrides:
    `updateTask` in class `EntityAIBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD